Skip to main content
DELETE
/
v4
/
bulk
/
tags
Bulk delete tags
curl --request DELETE \
  --url https://api.kit.com/v4/bulk/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tags": [
    {
      "id": 91
    },
    {
      "id": 92
    }
  ]
}
'
require 'uri'
require 'net/http'

url = URI("https://api.kit.com/v4/bulk/tags")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tags\": [\n {\n \"id\": 91\n },\n {\n \"id\": 92\n }\n ]\n}"

response = http.request(request)
puts response.read_body
const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: [{id: 91}, {id: 92}]})
};

fetch('https://api.kit.com/v4/bulk/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.kit.com/v4/bulk/tags"

payload := strings.NewReader("{\n \"tags\": [\n {\n \"id\": 91\n },\n {\n \"id\": 92\n }\n ]\n}")

req, _ := http.NewRequest("DELETE", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/bulk/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'tags' => [
[
'id' => 91
],
[
'id' => 92
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.kit.com/v4/bulk/tags"

payload = { "tags": [{ "id": 91 }, { "id": 92 }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
{
  "failures": [
    {
      "errors": [
        "Tag does not exist"
      ],
      "tag": {
        "id": 91
      }
    }
  ]
}
{}
{
"errors": [
"The access token is invalid"
]
}
{
"errors": [
"This request exceeds your queued bulk requests limit. Please wait while we process your existing requests and try again later."
]
}
{
"errors": [
"No tags included for processing"
]
}

Authorizations

Authorization
string
header
required

Authenticate API requests via an OAuth token

Body

application/json
tags
object[]
required

Tags to delete, identified by id. Batches of 100 or fewer are processed synchronously (200); larger batches are queued and processed asynchronously (202).

callback_url
string | null

Optional. When the batch is processed asynchronously (more than 100 tags), the results are POSTed to this URL on completion.

Response

Only deletes tags belonging to the authenticated account

failures
object[]
required